<template>
  <header class="navbar flex-md-nowrap px-3 py-2">
    <div>
      <img src="http://devfast.us/images/devfast-logo.png" width="50" class="rounded" alt="Devfast.us" />
      <b><a class="py-3 col-md-3 col-lg-2 px-3 text-center text-decoration-none title-header" href="/report">Report Day</a></b>
    </div>

    <button
      class="navbar-toggler position-absolute d-md-none collapsed"
      type="button"
      data-bs-toggle="collapse"
      data-bs-target="#sidebarMenu"
      aria-controls="sidebarMenu"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon"></span>
    </button>
    <!-- Right aligned nav items -->
    <b-navbar-nav class="ml-auto">
      <NuxtLink
        v-if="!$auth.loggedIn"
        to="/login"
        class="nav-link font-weight-bold header-login"
        ><span>Login</span></NuxtLink
      >
      <b-nav-item-dropdown v-else right>
        <template #button-content>
          <img :src= AVATAR_MALE class="img" alt="avatar">
          <em class="header-login"><b>{{ user.name }}</b></em>
        </template>
        <b-dropdown-item href="#"
          ><nuxt-link to="/user/profile" class="header-login"
            > Profile </nuxt-link
          ></b-dropdown-item
        >
        <b-dropdown-item href="#" @click.prevent="logout"
          >Sign Out</b-dropdown-item
        >
      </b-nav-item-dropdown>
    </b-navbar-nav>
  </header>
</template>

<script>
import { API_AUTH_USER, AVATAR_MALE } from '~/assets/contants/contant.js'
export default {
  data() {
    return {
      user: [],
      AVATAR_MALE: AVATAR_MALE
    }
  },
  methods: {
    logout() {
      this.$auth.logout()
      this.$router.push('/authentication/login')
    },
    async findUserById() {
      const user = await this.$axios.$get(API_AUTH_USER)
      this.user = user.user
    },
  },
  mounted() {
    this.findUserById()
  },
}
</script>

<style>
.title-header{
  font-size: 16px;
  color:black;
}

.header-login {
  color:black
}

</style>
<style scoped src="@/assets/css/dashboard.css">
.bd-placeholder-img {
  font-size: 1.125rem;
  text-anchor: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

@media (min-width: 768px) {
  .bd-placeholder-img-lg {
    font-size: 3.5rem;
  }
}
</style>
